Bug 599274 - Xorg -configure generates xorg.conf which uses VESA driver
Summary: Xorg -configure generates xorg.conf which uses VESA driver
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati   
(Show other bugs)
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jérôme Glisse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-03 01:38 UTC by David Mansfield
Modified: 2018-04-11 08:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-02 13:43:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf generated by Xorg -configure (1.82 KB, text/plain)
2010-06-09 16:01 UTC, David Mansfield
no flags Details
xorg.log when starting WITH the generated xorg.conf (104.39 KB, text/plain)
2010-06-09 16:01 UTC, David Mansfield
no flags Details
dmesg output after starting x WITH generated xorg.conf (45.74 KB, text/plain)
2010-06-09 16:02 UTC, David Mansfield
no flags Details
xorg.log when starting WITHOUT any xorg.conf (150.51 KB, text/plain)
2010-06-09 16:02 UTC, David Mansfield
no flags Details
dmesg output after starting x WITHOUT any xorg.conf (47.52 KB, text/plain)
2010-06-09 16:05 UTC, David Mansfield
no flags Details

Description David Mansfield 2010-06-03 01:38:03 UTC
Description of problem:
The generated xorg.conf specifies VESA driver, however if I run X without any config, it correctly loads the driver for the ati radeon HD3450 card.  It is now impossible to get a config that matches the "default" as if you were to run without any xorg.conf at all.

Version-Release number of selected component (if applicable):
xorg-x11-server 1.8.0-12.fc13 

How reproducible:
always

Steps to Reproduce:
1. Xorg -configure
2.
3.
  
Actual results:
uses VESA

Expected results:
uses radeon or whatever is used for radeon in F13 (not sure at the moment)

Additional info:

Comment 1 Matěj Cepl 2010-06-07 13:38:19 UTC
(In reply to comment #0)
> Description of problem:
> The generated xorg.conf specifies VESA driver, however if I run X without any
> config, it correctly loads the driver for the ati radeon HD3450 card.  It is
> now impossible to get a config that matches the "default" as if you were to run
> without any xorg.conf at all.

Please attach

* * X server log file (/var/log/Xorg.*.log), and
* output of the dmesg command,

(from running both with and without xorg.conf, which please attach as well) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 2 David Mansfield 2010-06-09 16:01:03 UTC
Created attachment 422608 [details]
xorg.conf generated by Xorg -configure

Comment 3 David Mansfield 2010-06-09 16:01:41 UTC
Created attachment 422609 [details]
xorg.log when starting WITH the generated xorg.conf

Comment 4 David Mansfield 2010-06-09 16:02:10 UTC
Created attachment 422610 [details]
dmesg output after starting x WITH generated xorg.conf

Comment 5 David Mansfield 2010-06-09 16:02:55 UTC
Created attachment 422611 [details]
xorg.log when starting WITHOUT any xorg.conf

Comment 6 David Mansfield 2010-06-09 16:05:09 UTC
Created attachment 422614 [details]
dmesg output after starting x WITHOUT any xorg.conf

Comment 7 David Mansfield 2010-06-09 16:06:41 UTC
i believe the attached files are as requested.

Comment 8 David Mansfield 2010-06-09 16:11:01 UTC
i should note: the attached "with xorg.conf" files (including xorg.conf) were generated after booting to runlevel 3 with "nomodeset" on the command line, however i did verify the exact same results either way (the generated xorg.conf is byte-for-byte identical when booting with or without KMS).

Comment 9 Bug Zapper 2011-06-02 12:16:18 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 David Mansfield 2011-06-02 13:43:59 UTC
This bug got no love.  I suggest a new "resolution":

CLOSED/NOLOVE


Note You need to log in before you can comment on or make changes to this bug.